Reference documentation and code samples for the Data Analytics API with Gemini V1 API class Google::Cloud::GeminiDataAnalytics::V1::ExampleQuery.
Example of relevant and commonly used SQL query and its corresponding natural language queries optionally present. Currently only used for BigQuery data sources.
Inherits
- Object
Extended By
- Google::Protobuf::MessageExts::ClassMethods
Includes
- Google::Protobuf::MessageExts
Methods
#natural_language_question
def natural_language_question() -> ::String
Returns
- (::String) — Optional. A natural language question that a user might ask. For example: "How many orders were placed last month?"
#natural_language_question=
def natural_language_question=(value) -> ::String
Parameter
- value (::String) — Optional. A natural language question that a user might ask. For example: "How many orders were placed last month?"
Returns
- (::String) — Optional. A natural language question that a user might ask. For example: "How many orders were placed last month?"
#parameters
def parameters() -> ::Array<::Google::Cloud::GeminiDataAnalytics::V1::QueryParameter>
Returns
- (::Array<::Google::Cloud::GeminiDataAnalytics::V1::QueryParameter>) — Optional. The list of query parameters. Example: The parameterized SQL query "SELECT * FROM my_table WHERE id = @id" can be matched with any value of id.
#parameters=
def parameters=(value) -> ::Array<::Google::Cloud::GeminiDataAnalytics::V1::QueryParameter>
Parameter
- value (::Array<::Google::Cloud::GeminiDataAnalytics::V1::QueryParameter>) — Optional. The list of query parameters. Example: The parameterized SQL query "SELECT * FROM my_table WHERE id = @id" can be matched with any value of id.
Returns
- (::Array<::Google::Cloud::GeminiDataAnalytics::V1::QueryParameter>) — Optional. The list of query parameters. Example: The parameterized SQL query "SELECT * FROM my_table WHERE id = @id" can be matched with any value of id.
#sql_query
def sql_query() -> ::String
Returns
- (::String) — Optional. The SQL query that should be generated to answer the natural language question. For example: "SELECT COUNT(*) FROM orders WHERE order_date BETWEEN '2024-01-01' AND '2024-01-31'"
#sql_query=
def sql_query=(value) -> ::String
Parameter
- value (::String) — Optional. The SQL query that should be generated to answer the natural language question. For example: "SELECT COUNT(*) FROM orders WHERE order_date BETWEEN '2024-01-01' AND '2024-01-31'"
Returns
- (::String) — Optional. The SQL query that should be generated to answer the natural language question. For example: "SELECT COUNT(*) FROM orders WHERE order_date BETWEEN '2024-01-01' AND '2024-01-31'"